jun

DSM 6.1.x Loader

Recommended Posts

 

You cant switch from ds3615xs to ds3617xs without fresh install. Those hardware are not compatible, different architecture.

 

Hello,

 

Thanks for respond. I have backup all files. How to do clean install? When I start install have a 2 choice "move or new". I installed as a new. But I got always "error 13".

 

Sincerely,

Share this post


Link to post
Share on other sites
Thanks for the heads-up. I'll try to do so (pity that I have literally no idea which NIC driver I'll need, but I guess I'll just push the whole modules/update folder to modules/, overwriting old files).

 

you footer states as board msi b250i, the manual states Realtek RTL8111H, the realtek website states

RTL8111B...RTL8118AS

Unix (Linux)

Apply to RTL8111H(S)/RTL8118/RTL8119i as well.

the driver source provided by realtek, LINUX driver for kernel up to 4.7, contains file r8168.*, so it will be r8168.ko

 

took 5 minutes and just reading websites and manual

your bigger problem might be that juns loader only provides r8169.ko and that driver is often mentions to be loaded and causing problems with RTL8111H

so a r8168.ko driver comiled for dsm 6.1 is the thing you need (and you have to make shure r8169.ko is not loaded, but instead r8168.ko

Share this post


Link to post
Share on other sites

Yea - I can't get DS3617xs to work properly either on bare metal with 1.02a2, but it is a driver thing - I was told that a new loader needs to be compiled to support the version of the firmware and all the drivers associated with it.

 

I am able to get 1.02a and 3615 to work just fine, but I need to add in a NIC to the box that is compatible with the build.

 

I'm just hanging tight for now to see what comes next.

Share this post


Link to post
Share on other sites

 

You cant switch from ds3615xs to ds3617xs without fresh install. Those hardware are not compatible, different architecture.

 

Thats not true - of course you can migrate from ds3615xs to ds3617xs with all settings.

I did this on my machine (HP ML10 gen9).

Of course it wasn't that easy - my first attempt fail.

Here's my story:

#1 attempt --> with all disks installed, boot server with new loader with install option and go to xpenology_ip:5000. Synology assistant detects migration from 3615 to 3617 and propose migration with or without settings. Of course I've selected migration with settings. But someting was wrong because whole DSM installation process was very short, less than 2 minutes, but without errors. After reboot no joy - bricked DSM.

 

#2 attempts - same scenario, but:

- disconnected all drives exept my first hdd (seperate 1 drive volume1 for less sensitive data)

- reflashed loader and recreated pid/vid/serial/mac

- after boot loader with install option selected, synology assistant still/again ofered migration from 3615 to 3617.

And this time upgrade worked fine, took about 10 minutes.

 

After succesfull 6.1.1 upgrade I've applied DSM 6.1.1-15101 Update 2 patch without aby problems.

Now: power off, reconnect rest of my drives and boot.

Used mdadm command to add connected drives to md0 array.

 

Everyone must remember that this migration is (I think) very hardware specific - with no proper drivers in loader it will fail. My rig is very familiar with oryginal DS3617xs hardware (same CPU architecture).

 

EDIT

By the way, I wanted to report a strange problem:

After migration my DSM dispalying strange IP address:

dsm_ip.jpg

Of course, DSM real IP is normal. Anyone have any clue whats couse this?

Share this post


Link to post
Share on other sites
Yea - I can't get DS3617xs to work properly either on bare metal with 1.02a2, but it is a driver thing - I was told that a new loader needs to be compiled to support the version of the firmware and all the drivers associated with it.

 

I am able to get 1.02a and 3615 to work just fine, but I need to add in a NIC to the box that is compatible with the build.

 

I'm just hanging tight for now to see what comes next.

 

It's probably easier to buy a cheap supported Intel NIC and use that instead.

 

 

Sent from my iPad using Tapatalk

Share this post


Link to post
Share on other sites
Thanks for the heads-up. I'll try to do so (pity that I have literally no idea which NIC driver I'll need, but I guess I'll just push the whole modules/update folder to modules/, overwriting old files).

 

you footer states as board msi b250i, the manual states Realtek RTL8111H, the realtek website states

RTL8111B...RTL8118AS

Unix (Linux)

Apply to RTL8111H(S)/RTL8118/RTL8119i as well.

the driver source provided by realtek, LINUX driver for kernel up to 4.7, contains file r8168.*, so it will be r8168.ko

 

took 5 minutes and just reading websites and manual

your bigger problem might be that juns loader only provides r8169.ko and that driver is often mentions to be loaded and causing problems with RTL8111H

so a r8168.ko driver comiled for dsm 6.1 is the thing you need (and you have to make shure r8169.ko is not loaded, but instead r8168.ko

 

Ah, you're right.

 

I know that the r8169 driver on paper causes issues, but I had none before the update. We'll see if the replacement driver from /update can fix the issue, if not, I'll compile my own.

Share this post


Link to post
Share on other sites

Hey guys,

 

I was wondering how good is the current AMD support for v1.02a2 and DS3617xs or will there ever be support for it ?

 

I´m currently running the v1.02a with ds3615xs on my A88X Chipset. But it seems that I have memory issues with it.

8GB are installed but as soon as the system boots up 7GB are reserved and can´t be used by dsm or other apps.

Systeminfo also shows an Intel Core i3 but I guess that´s normal.

 

Any suggestions ?

 

I would love to keep using DSM and not have to move to unRAID or somethign similiar.

 

Greetz,

Desi

Share this post


Link to post
Share on other sites

I´m currently running the v1.02a with ds3615xs on my A88X Chipset. But it seems that I have memory issues with it.

8GB are installed but as soon as the system boots up 7GB are reserved and can´t be used by dsm or other apps.

Systeminfo also shows an Intel Core i3 but I guess that´s normal.

try to read this thread - http://xpenology.com/forum/viewtopic.php?f=5&t=13320&start=1310#p96765

maybe there you will find answer

Share this post


Link to post
Share on other sites

I´m currently running the v1.02a with ds3615xs on my A88X Chipset. But it seems that I have memory issues with it.

8GB are installed but as soon as the system boots up 7GB are reserved and can´t be used by dsm or other apps.

Systeminfo also shows an Intel Core i3 but I guess that´s normal.

try to read this thread - http://xpenology.com/forum/viewtopic.php?f=5&t=13320&start=1310#p96765

maybe there you will find answer

 

Thanks for your answer but I dont speak russian and google translate does not seem to work :sad:

Any ideas?

Share this post


Link to post
Share on other sites

Well - the NICs are supposed to be supported according to a previous post:

 

Change Log 2: Broadcom NetXtremeII BCM5706/BCM5708/5709/5716

 

I really would like to use DS3617xs because of the nature of the hardware - it is a Dell R510 with dual 6-Core Xeons and onboard Broadcom NICs.

 

Polanskiman said in a reply earlier:

 

"I believe it's not working is because there is a missing firmware in v1.02a/v1.02a2 for that NIC. I compiled the firmware for 3615xs but not for 3617xs. Using v1.02a (3615xs) for you could be a temporary solution although you wont get the full capacity of your machine with that loader. You would need v.102a2 (3617xs). I might compile the firmware for that loader later."

 

Which is why I said I was going to hold out until the new compile for 3617xs comes. I can get 3615 to work on this box under 1.02a. Just not sure where to look for the new compile when it is completed. Anyone know?

 

C

Share this post


Link to post
Share on other sites
I've hit the same problem with DSM 6.0.3 update.

I am on Jun's 1.01 loader and have 4HDD Raid 5 in my rig.

I don't want to loose my personal data in there, so wondering what options are there available for me?

I have re-flashed my usb with fresh loader and tried migration and "fresh system install" (with all files safe).

No luck, and my rig just boots, starts the drives and apparently works on the hard drives as I can hear them, but no way to login via web nor ssh. Anyway ssh lost after "fresh system install" as it got rid of my all settings.

Shall I try to update to 6.1, as I have a feeling there is something still on the drives that indicate 6.0.3 installed and doesn't allow to install 6.0.2 back properly.

Any hints?

 

Take a look at this post.This is exactly how I was able to fix it without any personal data loss. However, apps and settings WILL go bye bye: viewtopic.php?f=2&t=20216&start=2770#p100378

 

Well, I tried to follow your tutorial and came across a problem with partitions sda2, sdb2, sdc2 and so on, as they all come with "key" symbol in GParted and I cannot do anything to them, Partitions with 1 at the end (2.7 GB size) are available to format as ext4 however, so not sure if I should carry on and reformat only those.

For the time being I am considering following a tutorial Polanskiman posted and make a backup first.

Share this post


Link to post
Share on other sites

Which is why I said I was going to hold out until the new compile for 3617xs comes. I can get 3615 to work on this box under 1.02a. Just not sure where to look for the new compile when it is completed. Anyone know?

 

if you have a working 1.02a image you can try to extract the *.ko file from the 1.02a image (7zip under windows does the trick, but only for extracting) and can try to use it in the 1.02a2 image by extracting the extra.lzma, putting in the *.ko, extend the conf file for loading that module and rebuilding it as i described here

viewtopic.php?f=2&t=32744#p99603

3615 an 3617 are both intel x64 so give it a try (it did work for me with thr evdev.ko for acpi shutdown, why not for the nic driver) - what never will work is a *.ko file fro m1.01 jun loader (dsm 6.0) that uses a different kernel

Share this post


Link to post
Share on other sites
I've hit the same problem with DSM 6.0.3 update.

I am on Jun's 1.01 loader and have 4HDD Raid 5 in my rig.

I don't want to loose my personal data in there, so wondering what options are there available for me?

I have re-flashed my usb with fresh loader and tried migration and "fresh system install" (with all files safe).

No luck, and my rig just boots, starts the drives and apparently works on the hard drives as I can hear them, but no way to login via web nor ssh. Anyway ssh lost after "fresh system install" as it got rid of my all settings.

Shall I try to update to 6.1, as I have a feeling there is something still on the drives that indicate 6.0.3 installed and doesn't allow to install 6.0.2 back properly.

Any hints?

 

Take a look at this post.This is exactly how I was able to fix it without any personal data loss. However, apps and settings WILL go bye bye: http://xpenology.com/forum/viewtopic.ph ... 70#p100378

 

Well, I tried to follow your tutorial and came across a problem with partitions sda2, sdb2, sdc2 and so on, as they all come with "key" symbol in GParted and I cannot do anything to them, Partitions with 1 at the end (2.7 GB size) are available to format as ext4 however, so not sure if I should carry on and reformat only those.

For the time being I am considering following a tutorial Polanskiman posted and make a backup first.

 

 

the 3rd partitins (sda2,...) are your actual data volume, tey can be a direct mdadm (when on creation selctet there will be only one volume in the raid) or it is a mdadm with lvm and in there is one or more volume (even if tere is only whan when multi volume is selected it's lvm) - maybe gparted can't handle lvm

but as you only wanted to format the system (dsm) you just leaf that sda2,... untouched, if the system is reinstalled to sda0,... the dsm will find the partitions and they will show up, if you still want to kill it you can do it from inside dsm with the gui dsm provides (it does not spell out that "only" mdadm and lvm2 is used, no specials just the normal linux stuff)

Share this post


Link to post
Share on other sites

hi all,

I am currently running 5.2 on my hp n54l baremetal. May i ask does this loader support my n54l? becoz when i try to upgrade to 6.0 with this loader. I couldnt find my server through synology assistant, neither on the web or the software. i followed the instructions, changed my usb PID. I saw the lan socket is blinking on both sides, but it seems there is no IP given to my server.is it the lan driver problem?

Thanks in advance.

Share this post


Link to post
Share on other sites
hi all,

I am currently running 5.2 on my hp n54l baremetal. May i ask does this loader support my n54l? becoz when i try to upgrade to 6.0 with this loader. I couldnt find my server through synology assistant, neither on the web or the software. i followed the instructions, changed my usb PID. I saw the lan socket is blinking on both sides, but it seems there is no IP given to my server.is it the lan driver problem?

Thanks in advance.

 

No, AMD CPU is not supported on the latest loader. (N54L comes with AMD CPU)

Jun has stated there are issues with it and disabled the AMD support.

You will have to wait until there is a new loader out with support.

Share this post


Link to post
Share on other sites
hi all,

I am currently running 5.2 on my hp n54l baremetal. May i ask does this loader support my n54l? becoz when i try to upgrade to 6.0 with this loader. I couldnt find my server through synology assistant, neither on the web or the software. i followed the instructions, changed my usb PID. I saw the lan socket is blinking on both sides, but it seems there is no IP given to my server.is it the lan driver problem?

Thanks in advance.

 

No, AMD CPU is not supported on the latest loader. (N54L comes with AMD CPU)

Jun has stated there are issues with it and disabled the AMD support.

You will have to wait until there is a new loader out with support.

 

You can get to 6.0.2 Update 11 with the 1.01 loader (see http://xpenology.com/forum/viewtopic.php?f=2&t=22100) but that's as far as you can currently go. As bchuter says, AMD is not currently supported on the 1.02 loader. Maybe it will in future. Maybe it won't.

Share this post


Link to post
Share on other sites
hi all,

I am currently running 5.2 on my hp n54l baremetal. May i ask does this loader support my n54l? becoz when i try to upgrade to 6.0 with this loader. I couldnt find my server through synology assistant, neither on the web or the software. i followed the instructions, changed my usb PID. I saw the lan socket is blinking on both sides, but it seems there is no IP given to my server.is it the lan driver problem?

Thanks in advance.

 

No, AMD CPU is not supported on the latest loader. (N54L comes with AMD CPU)

Jun has stated there are issues with it and disabled the AMD support.

You will have to wait until there is a new loader out with support.

 

You can get to 6.0.2 Update 11 with the 1.01 loader (see http://xpenology.com/forum/viewtopic.php?f=2&t=22100) but that's as far as you can currently go. As bchuter says, AMD is not currently supported on the 1.02 loader. Maybe it will in future. Maybe it won't.

 

For the sake of clarification, actually AMD "seems" to work with v1.02. I say seems, because I have not tested it myself but I have seen some reports of users being able to run the loader on AMD based machines. HOWEVER Jun has clearly stated that there is still some work to be done on it. When will it be available you say? No one knows!

 

You can try uncommenting the AMD section at the bottom of the grub.cfg file see if that works. But if anything goes wrong, you know why! Personally I would avise you to stay on DSM 6.0.2 with loader v1.01 as recommended by the users above.

Share this post


Link to post
Share on other sites

I´m currently running the v1.02a with ds3615xs on my A88X Chipset. But it seems that I have memory issues with it.

8GB are installed but as soon as the system boots up 7GB are reserved and can´t be used by dsm or other apps.

Systeminfo also shows an Intel Core i3 but I guess that´s normal.

try to read this thread - http://xpenology.com/forum/viewtopic.php?f=5&t=13320&start=1310#p96765

maybe there you will find answer

 

Ok, I reverted back to 6.0.2 with AMD Support. And guess what, all 8GB are now useable.

But now I'm Not able to use the "virtual machine manager" :-/

I Hope AMD Support for 6.1 is coming soon.

Share this post


Link to post
Share on other sites

 

Ok, I reverted back to 6.0.2 with AMD Support. And guess what, all 8GB are now useable.

But now I'm Not able to use the "virtual machine manager" :-/

I Hope AMD Support for 6.1 is coming soon.

Me TOO :grin:

Share this post


Link to post
Share on other sites
hi all,

I am currently running 5.2 on my hp n54l baremetal. May i ask does this loader support my n54l? becoz when i try to upgrade to 6.0 with this loader. I couldnt find my server through synology assistant, neither on the web or the software. i followed the instructions, changed my usb PID. I saw the lan socket is blinking on both sides, but it seems there is no IP given to my server.is it the lan driver problem?

Thanks in advance.

 

Stay where you are, i had DSM 6 when it was supported on N54L, had some issues with it.

 

If you want to try nevertheless, try with some other hard disk and usb boot drive and always have a backup!

 

Now i'm back at DSM 5, perfectly happy with it because everything works as it should be :smile:

Share this post


Link to post
Share on other sites
hi all,

I am currently running 5.2 on my hp n54l baremetal. May i ask does this loader support my n54l? becoz when i try to upgrade to 6.0 with this loader. I couldnt find my server through synology assistant, neither on the web or the software. i followed the instructions, changed my usb PID. I saw the lan socket is blinking on both sides, but it seems there is no IP given to my server.is it the lan driver problem?

Thanks in advance.

 

Stay where you are, i had DSM 6 when it was supported on N54L, had some issues with it.

 

If you want to try nevertheless, try with some other hard disk and usb boot drive and always have a backup!

 

Now i'm back at DSM 5, perfectly happy with it because everything works as it should be :smile:

 

DSM 6.0 works fine here on N54L - been running the original loader since Jun released the loader.

 

Haven't had any issues although I am hoping for a 6.1 build compat with it :sad:

Share this post


Link to post
Share on other sites

I was running DS3615xs 6.0.2 with Jun's Mod V1.01 and decided to do another bare medal install with DS3615xs 6.1 running Jun's Mod V1.02-alpha and DSM_DS3615xs_15047.pat and DSM_DS3615xs_15101.pat. I kept getting error 13 when I chose to migrate and choose a fresh install.

 

So I put a brand new hard drive in to trouble shoot if that's what was needed to be a 100% clean install and I still got the same error 13. Before I revert back to 6.0.2, I wanted to see if anyone had any suggestions?

Edited by Guest

Share this post


Link to post
Share on other sites
I was running DS3615xs 6.0.2 with Jun's Mod V1.01 and decided to do another bare medal install with DS3615xs 6.1 running Jun's Mod V1.02-alpha and DSM_DS3615xs_15047.pat. I kept getting error 13 when I chose to migrate and chose a fresh install.

 

So I put a new HD in and made it seem like a fresh install and I still got the same error 13 error. Before I revert back to 6.0.2, I wanted to see if anyone had any suggestions?

Migration didn't work for me either for whatever reason. I always recommend doing a simple data import without importing settings/apps.

 

Sent from my SM-G935F using Tapatalk

Share this post


Link to post
Share on other sites
Anyone ever got this message? http://s1038.photobucket.com/user/twistedus/media/Capture2.png.html

 

I can't connect anymore on the NAS and even the drive map is not accessible anymore. I installed XPEnology 6.1.1 lastest update yesterday using DS3617xs v1.02a2. I was working fine. This morning I had this... I tried to reboot, but no result...

 

This is a problem aka "Time bomb" - it happens after installation and using DSM through 12-24 hours or something about it.

 

I have same problems few times, i don't know how to fix it and nobody can help me here.

try to use 3615 with 1.02a (not 1.02a2)

 

Even if I use a brand new USB flash drive to try to reinstall I get the same message. I there a way to reinstall XPEnology of I'm screwed with a bricked NAS?

 

Is there a way to avoid having time bomb while still using DS3617xs?

Share this post


Link to post
Share on other sites

Do you have a data backup?

 

I had this when I was building my server and ended up doing a forced re-install. I had no data on there then so did noit pay attention to what impact it will have on your data sorry. Still quite new to xpenology.

 

What I can say is that a fresh install on blank drives works just fine bare metal and will update perfectly to 6.1.1 update 2. I have mine operating and have copied all of my data from my production NAS across to it and it seems stable and is past the 24hr timeframe.

 

Pretty sure some comments in thread suggest that you cannot upgrade yet you have to do it as a fresh install.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.